Results 1 to 3 of 3

Thread: Yast does not show newer versions.

  1. #1

    Default Yast does not show newer versions.

    I just installed openSuse 11.2. I added extra repo's like packman and Mozilla. I gave them priority level 80. The normal openSuse repo's have priority level 99.

    Still, Yast does not show newer versions from Packman or Mozilla.
    Yast completely ignores the prioritylevels of the repo's.

    The only time Yast shows packages from other repo's, is when they are not in the default repo's, like XMMS,w32codec-all, etc.

    So the repo's are added in the right way,but something strange happens in softwaremanagement.

    When I search for firefox, it shows the old version 3.5.6-1.1.1.
    When I click on the tab versions, I see that version 3.6.0-1.2 is there from openSuse buildservice.
    Why is Yast not showing the higher version (available) in the mainscreen?
    When I select it manually, Yast complains about dependancies because it is not aware of newer versions of mozilla xulrunner.

    Am I doing something wrong? In openSuse 11.0 everything works nice.

  2. #2

    Default Re: Yast does not show newer versions.

    If you go to the packages view, you can select the packman repository. Then there appears an option "switch system packages to this repository" or something like that.
    If you click that yast will then favor this repo over the default one.

  3. #3

    Default Re: Yast does not show newer versions.

    Quote Originally Posted by Mithrandir0 View Post
    If you go to the packages view, you can select the packman repository. Then there appears an option "switch system packages to this repository" or something like that.
    If you click that yast will then favor this repo over the default one.
    Many thanks! I switched form 11.0 to 11.2 and this feature is new to me.

    Imho, this should be documented a little bit better, or there should be a notifier...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •